org.modeshape.jdbc.metadata

## Interface JDBCColumnNames.TABLES

- Enclosing interface:
    JDBCColumnNames

      public static interface JDBCColumnNames.TABLES

  This class contains constants representing column names on ResultSet returned by getTables and getTableTypes methods on DatabaseMetaData. These constant values are be used to hardcode the column names used in construction the ResultSet obj.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `ISPHYSICAL`
    `static String` | `REF_GENERATION`
    `static String` | `REMARKS` name of column containing explanatory notes.
    `static String` | `SELF_REFERENCING_COL_NAME`
    `static String` | `TABLE_CAT`
    `static String` | `TABLE_NAME`
    `static String` | `TABLE_SCHEM`
    `static String` | `TABLE_TYPE`
    `static String` | `TYPE_CAT`
    `static String` | `TYPE_NAME`
    `static String` | `TYPE_SCHEM`

- - ### Field Detail

    - #### TABLE_CAT

          static final String TABLE_CAT

      See Also:
        Constant Field Values

    - #### TABLE_SCHEM

          static final String TABLE_SCHEM

      See Also:
        Constant Field Values

    - #### TABLE_NAME

          static final String TABLE_NAME

      See Also:
        Constant Field Values

    - #### TABLE_TYPE

          static final String TABLE_TYPE

      See Also:
        Constant Field Values

    - #### REMARKS

          static final String REMARKS

      name of column containing explanatory notes.
      See Also:
        Constant Field Values

    - #### TYPE_CAT

          static final String TYPE_CAT

      See Also:
        Constant Field Values

    - #### TYPE_SCHEM

          static final String TYPE_SCHEM

      See Also:
        Constant Field Values

    - #### TYPE_NAME

          static final String TYPE_NAME

      See Also:
        Constant Field Values

    - #### SELF_REFERENCING_COL_NAME

          static final String SELF_REFERENCING_COL_NAME

      See Also:
        Constant Field Values

    - #### REF_GENERATION

          static final String REF_GENERATION

      See Also:
        Constant Field Values

    - #### ISPHYSICAL

          static final String ISPHYSICAL

      See Also:
        Constant Field Values

Copyright © 2008-2014 JBoss, a division of Red Hat. All Rights Reserved.